<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ym.mec.education.mapper.StudentPaymentOrderMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ym.mec.education.entity.StudentPaymentOrder">
        <id column="id_" property="id" />
        <result column="user_id_" property="userId" />
        <result column="type_" property="type" />
        <result column="expect_amount_" property="expectAmount" />
        <result column="actual_amount_" property="actualAmount" />
        <result column="trans_no_" property="transNo" />
        <result column="status_" property="status" />
        <result column="memo_" property="memo" />
        <result column="create_time_" property="createTime" />
        <result column="update_time_" property="updateTime" />
        <result column="payment_channel_" property="paymentChannel" />
        <result column="payment_business_channel_" property="paymentBusinessChannel" />
        <result column="payment_account_no_" property="paymentAccountNo" />
        <result column="order_no_" property="orderNo" />
        <result column="music_group_id_" property="musicGroupId" />
        <result column="class_group_id_" property="classGroupId" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id_, user_id_, type_, expect_amount_, actual_amount_, trans_no_, status_, memo_, create_time_, update_time_, payment_channel_, payment_business_channel_, payment_account_no_, order_no_, music_group_id_, class_group_id_
    </sql>

</mapper>
